Subject: [multipathtcp] Multipath TCP through a strange middlebox

From: Olivier Bonaventure <[email-masked]>
Date: Mon, 02 Feb 2015 17:04:19 +0100

Hello,

A user of the Linux implementation of Multipath TCP has shared with us 
an interesting packet trace that shows how a PEP in a satellite network 
interferes in a strange manner with Multipath TCP. You can find 
additional information about this interference on :

http://blog.multipath-tcp.org/blog/html/2015/01/30/multipath_tcp_through_a_strange_middlebox.html

This shows that Multipath TCP can cope with strange middleboxes that 
were not known when the protocol was designed...

We are developing new test tools to validate the operation of Multipath 
TCP through different types of middleboxes. If you implement or deploy 
middleboxes and would like to verify their interoperability with 
Multipath TCP, please contact me offline.

Olivier